Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class AbstractJaxbTaskObject<T>

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<T>

Direct Known Subclasses:
  JaxbAttachment, JaxbComment, JaxbTaskData

    public class AbstractJaxbTaskObject<T>

extends Object

Field Summary
`protected Class<?>` | `realClass`

Constructor Summary
`` | `AbstractJaxbTaskObject()`
`protected` | `AbstractJaxbTaskObject(Class<?> realClass)`
`protected` | `AbstractJaxbTaskObject(T taskObject, Class<?> objectInterface)`

Method Summary
`static
`<I,J extends I> List<J>`
` | `convertListFromInterfaceToJaxbImpl(List<I> interfacelList, Class<I> interfaceClass, Class<J> jaxbClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### realClass

    protected Class<?> realClass

Constructor Detail

### AbstractJaxbTaskObject

    public AbstractJaxbTaskObject()

### AbstractJaxbTaskObject

    protected AbstractJaxbTaskObject(Class<?> realClass)

### AbstractJaxbTaskObject

    protected AbstractJaxbTaskObject(T taskObject,
                                     Class<?> objectInterface)

Method Detail

### convertListFromInterfaceToJaxbImpl

    public static <I,J extends I> List<J> convertListFromInterfaceToJaxbImpl(List<I> interfacelList,
                                                                             Class<I> interfaceClass,
                                                                             Class<J> jaxbClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.